macOS 10.14 Mojaveのシステム要件を満たしていないMacをMojaveへアップグレードするためのツール「macOS Mojave Patcher」が公開。

スポンサーリンク

 macOS 10.14 Mojaveのシステム要件を満たしていないMacをMojaveへアップグレードするためのツール「macOS Mojave Patcher」が公開されています。詳細は以下から。

Mojave搭載のiMac Pro

 Appleが2018年秋にもリリースするmacOS 10.14 MojaveとiOS 12のシステム要件は、AppleのグラフィックAPI「Metal」がサポートされているかどうかが1つの基準となっており、iOSデバイスはiOS 11をサポートしている全てのデバイスがiOS 12へアップグレードできますが、Macの場合は2012年より前に製造されたMacがMojaveへアップグレードすることが出来ません。(旧Mac Pro除く)

macOS 10.14 MojaveとiOS 12のシステム要件

OS X 10.11
El Capitan
macOS 10.12
Siera
macOS 10.13
High Siera
macOS 10.14
Mojave
MacBook Late 2008アルミニウム製
またはEarly 2009以降
Late 2009以降 Mid 2015以降
MacBook Air Late 2008以降 Mid 2010以降 Mid 2012以降
MacBook Pro Mid/Late 2007以降 Late 2010以降
Mac mini Early 2009以降 Mid 2010以降 Late 2012以降
iMac Mid 2007以降 Late 2009以降
iMac Pro macOS 10.13.2
High Sierra (17C2111)で発売
2017以降
Mac Pro Early 2008以降 Mid 2010以降 Metalと互換性のある
GPUを積んだ2010/2012のMac Pro

 このシステム要件のアップデートに対し、Mojaveのシステム要件を満たしていないMacにも強制的にMojaveをインストール(アップグレード)するためのパッチツール「macOS Mojave Patcher」を「macOS High Sierra Patcher」を開発しているdosdude1さんが公開しています。

In this video, I demonstrate macOS 10.14 (Mojave) Public Beta running on various unsupported Macs. As of now, Mojave works almost perfectly on most recently dropped machines, but does have a few minor issues. The main issue at this point is the lack of graphics acceleration on machines with pre-Metal AMD/ATI video cards, but hopefully a solution will be found in the future. Pre-Metal Intel HD Graphics and nVidia GPUs work pretty much perfectly, though.

YouTubeより

 dosdude1さんによると、このパッチを利用することでHigh Sierra以降/El Capitan以降にアップグレードできないMac(2009年製のMac)でもMojaveへアップグレードすることが出来るそうで、Pre-Metal AMD/ATI dGPU搭載のMacでFinderサイドバーのBlurが処理できないなど、いくつかの不具合(glitch)があるそうですが、

Pre-Metal Intel HD/NVIDIA GPUではダークモードも利用可能で、無理をしなければ安定して動作しているようなので、どうしてもMojave非対応のMacをMojaveへアップグレードしたい方は試してみてください。

利用は自己責任で、使用方法はこちらを参考にしてください。

コメント

  1. 匿名 より:

    えーと、非対応機種の mac-mini mid 2011 (Macmini 5.2) ですが、vmware Fusion 入れると、その中の仮想マシンとして Mojave インストールできて動作しますです。

    おそらく正式リリース後も使えるはず

  2. 匿名 より:

    これでMacbook mid2010にMojaveインストールしてみたけど、何の問題もなく使えてて感動…